Subject: Re: newby question about merge.

From: picca <[email-masked]>
Date: Tue, 15 May 2007 13:37:20 +0200

On Tue, 15 May 2007 12:34:55 +0200
Jakub Narebski <[email-masked]> wrote:

> [Cc: picca <[email-masked]>, [email-masked]]
> 
> picca wrote:
> 
> > My question is how can I keep the upstream version of the configure
> > file instread of the one in the working directory.
> > 
> > I read about the stage(1:2:3) but I do not know how if it is
> > related to my problem.
> 
> You can just do "git cat-file -p :2:filename > filename", then
> "git add filename" (or "git update-index filename") to resolve
> conflict.
> 
> Check first if :2: is correct file (and not for example :3:).

In fact the right file was the :3: one.

Thank you very much.

Is it possible to add this git cat-file -p :2:filename > filename in
the man page of git-merge in the resolve conflict part ?

Or a link to the documentation speaking of this stage part.

Thanks

Frédéric